> ## Documentation Index
> Fetch the complete documentation index at: https://developers.closebot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update the scrape pages for a file



## OpenAPI

````yaml https://megastream25-api.closebot.com/swagger/v1/swagger.json put /library/files/{fileId}/scrape-pages
openapi: 3.0.1
info:
  title: CloseBot API
  version: v1
servers:
  - url: https://api.closebot.com
    description: CloseBot API Endpoint
security:
  - Key: []
paths:
  /library/files/{fileId}/scrape-pages:
    put:
      tags:
        - Library
      summary: Update the scrape pages for a file
      parameters:
        - name: fileId
          in: path
          description: The ID of the file to update the scrape pages for.
          required: true
          style: simple
          schema:
            type: string
      requestBody:
        description: The input containing the new scrape pages.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebscrapePageUpdateDto'
          text/json:
            schema:
              $ref: '#/components/schemas/WebscrapePageUpdateDto'
          application/*+json:
            schema:
              $ref: '#/components/schemas/WebscrapePageUpdateDto'
      responses:
        '200':
          description: Success
components:
  schemas:
    WebscrapePageUpdateDto:
      type: object
      properties:
        pages:
          type: array
          items:
            $ref: '#/components/schemas/WebscrapePageDto'
          nullable: true
      additionalProperties: false
    WebscrapePageDto:
      type: object
      properties:
        url:
          type: string
          nullable: true
        enabled:
          type: boolean
      additionalProperties: false
  securitySchemes:
    Key:
      type: apiKey
      description: CloseBot API Key Authorization
      name: X-CB-KEY
      in: header

````